GNU bug report logs - #55491
All completion fragments get added to obarray

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: JD Smith <jdtsmith@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 7 Jun 2022 09:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 07 05:30:56 2022
Received: from localhost ([127.0.0.1]:37695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyVY7-0007Bs-HP
	for submit <at> debbugs.gnu.org; Tue, 07 Jun 2022 05:30:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyVY4-00072V-BB
 for 55491 <at> debbugs.gnu.org; Tue, 07 Jun 2022 05:30:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=z8+Q62r/LU+Kcj3echAMRXFPxteg717GoKN6twedxnM=; b=UTsUujNOr99AbW6bTWZrn0gyPA
 Po7ewb0btRj8PPWEWcO7OFmO1pFFJ7fQasfFMw6RjO/JcbawTK36cNLgE27xMAmvQX9lQtAYQcSTa
 j9AmmKuBmgvuJ6n4Blq33EUGHc1u6ILJV+HS4usfLTLcJS59mMUdrEbMXnJSsyK7LShw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyVXu-0000g1-Mp; Tue, 07 Jun 2022 11:30:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN> <E1nrS1E-0006pG-9M@HIDDEN>
 <87ee0p83zo.fsf@HIDDEN>
 <63f442fd-0fb3-3a33-9d05-ec8091ed8c04@HIDDEN>
 <87k09v2o35.fsf@HIDDEN>
 <9ccf94ab-8dba-e274-fbb9-fc5d0e28cfa1@HIDDEN>
 <87czfmx8ps.fsf@HIDDEN>
 <110782b2-e3b0-70e4-7991-e8e71b9ff4c2@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAABGdBTUEAALGPC/xhBQAAAAJi
 S0dEAP+Hj8y/AAAACXBIWXMAAABkAAAAZAAPlsXdAAAAB3RJTUUH5gYHCQkk/E77MQAAAeZJREFU
 SMfNlT2OszAQhp9EuImUJg0+w8oSl8gFttg0HMBVTrMVV9gUe4Fs4xtEstJwAdN8DVIaN19BYMFg
 At26AHk87/x43hlvDONVND8LoADdO9uYwjoACTio8fjQgEAAHjhpTMqKlZrtGnWoimTO3NGCO9p2
 7yqg85DlqQgANYC0aiDsAEpfQg97i3IK7qVynbANSQCHKvRQU9sSj61/pWb3DDhLdwuyzrukq2qB
 OtiV19pL+s8A1GoPEWpk3P3kgU5CMgvxID1yndYXjAHvoIvvRzSkIhA80PDlY/ps7ZT0JOKAMMic
 M+ifbJpYgu2Q7bzxfYOCz/cYFfPQBOQ5iOmgUhPWwQf/lznAcx7F1lSlSxdVl5OAR7RqLGLrcJq8
 BqSXwyqAuBTVYoAATlx7EjcLyH5ycn0ejpO52arQaG4sBnxdjxqyEthLBfb2AuArgM/nrsC98kCm
 AQrrqPEtu0y8VzKTkZusLxqztXenJ32+AQGxksLH9Pmo4PmstEvGcxC2bDgYGEwA0ubNleCkQ949
 8GjvPwBsG0ftVyJnuq0DgKOUd+6UgBJzgITeRQgH1MMODQfdXB0AdsPj3MxWGhh1a8Ib7p8HEAeJ
 auIpvRcgnnQQiD2Shr4b00Wqx/abBAYH/wGn4ZBKGesgjQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 Mi0wNi0wN1QwOTowOTozNiswMDowMNQ2T+8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDYtMDdU
 MDk6MDk6MzYrMDA6MDCla/dTAAAAAElFTkSuQmCC
X-Now-Playing: Mary Halvorson's Code Girl's _Artlessly Falling_: "Artlessly
 Falling"
Date: Tue, 07 Jun 2022 11:30:42 +0200
In-Reply-To: <110782b2-e3b0-70e4-7991-e8e71b9ff4c2@HIDDEN> (Dmitry Gutov's
 message of "Tue, 7 Jun 2022 00:30:00 +0300")
Message-ID: <878rq8om65.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Dmitry Gutov <dgutov@HIDDEN> writes: > How about this,
 then? [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, Richard Stallman <rms@HIDDEN>, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> How about this, then?

[...]

> -                                             (read (current-buffer))))))
> +                                             (let ((pt (point)))
> +                                               (ignore-errors
> +                                                 (forward-sexp)
> +                                                 (intern-soft
> +                                                  (buffer-substring pt (point)))))))))
>                              (error nil))))

Makes sense, I think.  (But the ignore-errors is probably not
necessary, since the entire form is already covered by one in form of
the condition-case...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 6 Jun 2022 21:30:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 17:30:13 2022
Received: from localhost ([127.0.0.1]:37025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyKIf-0007Ei-Fl
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 17:30:13 -0400
Received: from mail-ej1-f45.google.com ([209.85.218.45]:42659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1nyKIb-0007DO-Vt
 for 55491 <at> debbugs.gnu.org; Mon, 06 Jun 2022 17:30:12 -0400
Received: by mail-ej1-f45.google.com with SMTP id q1so31437871ejz.9
 for <55491 <at> debbugs.gnu.org>; Mon, 06 Jun 2022 14:30:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:message-id:date:mime-version:user-agent:subject
 :content-language:to:cc:references:from:in-reply-to;
 bh=2QY7hHQoTyT6Pt5rJBZFnzQi/kLFaG4eoDm0B1/fSIQ=;
 b=ZZEkJIvkcbk7esYew/if3ezw2ptuEyif0g4MGLnskHDo+hdaYWmKo9tR8Rd3IWVMBn
 xtD1BO9o9NVgHl3bCzEU3DX3DRGvzPfD4zbQFOcgrHZtB8vZPEJwsAldod/KXF5mM+7C
 uOGsfpj8XbCr+HyzoxgQZdESTc+eL5vzoYVs3+38xc5qsq3uFU2/AhXDK/f0cE4PYhwg
 fkVvCw94j2gpAJZ9rfcZGPEta5Mzh0mMWvlrXHr8C+XqnR+jOPy6GSDH5u2DXhQYh3kO
 vYYWrUKpJhxTamM2ZuwnMyqHymzmZSmmVZsfwSlo14gV76UXzeYSnbZTKdgDDq5Ap6Pb
 asmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:message-id:date:mime-version:user-agent
 :subject:content-language:to:cc:references:from:in-reply-to;
 bh=2QY7hHQoTyT6Pt5rJBZFnzQi/kLFaG4eoDm0B1/fSIQ=;
 b=zKy5RJykQqs8daJzNE/vccu2uXeqRaIzN9DLCb16iWitfrk2jkcbU6jdrnrIcKOi1Q
 C72kavBAP/P2R2NLfO/ElVfWFowZRYXS+Xfpbjh94AfoDbq/4DAW+FXo3h8tKJYKJgUN
 p5VwwnmFiCAtxWecR17XnPWFJHqIJQKv8Yk6MJopH5FMJrFAGymSVwXM/RF662ef8oLy
 veEL8XxYRpby9fLMbufpbXUC+OvJLwQwV6NLXOFFpa32k2RZ243IBCbv0xNSGTLP9eXO
 JGQI0Lc1h4KLbyQ+iSp2PG9AJos5yq/f9XsSNDBOG4Ck5RM3CUAAvTI0j66aBWT2+KTa
 9kFg==
X-Gm-Message-State: AOAM532ObXSqVTtsa1Ahwna6WRIqOp5jVspUV8+hKJfNyAMx5xI1LP3y
 l/ztG7PCjYJAngAji+AoGUw=
X-Google-Smtp-Source: ABdhPJz0BzeJnvZxjcpt46n2A99cXis3zRwPWCr7RyuCod5rJhn8DE8qRFlvQUi+gFxk+nLlm0q4Iw==
X-Received: by 2002:a17:907:8a03:b0:6fe:c10d:4bf8 with SMTP id
 sc3-20020a1709078a0300b006fec10d4bf8mr23701434ejc.308.1654551004100; 
 Mon, 06 Jun 2022 14:30:04 -0700 (PDT)
Received: from [192.168.236.48] ([173.237.64.48])
 by smtp.googlemail.com with ESMTPSA id
 a9-20020a50ff09000000b0042fb3badd48sm5128084edu.9.2022.06.06.14.30.02
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 06 Jun 2022 14:30:03 -0700 (PDT)
Content-Type: multipart/mixed; boundary="------------bbPv4oGWZbO26yChmbJLPu0v"
Message-ID: <110782b2-e3b0-70e4-7991-e8e71b9ff4c2@HIDDEN>
Date: Tue, 7 Jun 2022 00:30:00 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#55491: All completion fragments get added to obarray
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN> <E1nrS1E-0006pG-9M@HIDDEN>
 <87ee0p83zo.fsf@HIDDEN> <63f442fd-0fb3-3a33-9d05-ec8091ed8c04@HIDDEN>
 <87k09v2o35.fsf@HIDDEN> <9ccf94ab-8dba-e274-fbb9-fc5d0e28cfa1@HIDDEN>
 <87czfmx8ps.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87czfmx8ps.fsf@HIDDEN>
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, Richard Stallman <rms@HIDDEN>, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This is a multi-part message in MIME format.
--------------bbPv4oGWZbO26yChmbJLPu0v
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

On 06.06.2022 15:44, Lars Ingebrigtsen wrote:
> Dmitry Gutov<dgutov@HIDDEN>  writes:
> 
>> Looking at the possible problems, I guess the regexp doesn't account
>> for possible escapings? Like a symbol 'let\ s\ go\ to\ the\ mall',
>> which shouldn't be mistaken for 'let'. That would require a more
>> complex regexp.
> Yes, so that won't be the right thing.  It'd be nice if we had a version
> of `read' that's more like "read the next symbol but return nil if it's
> not interned already" for these cases.

How about this, then?

Too bad 'forward-symbol' doesn't handle escapings, otherwise we could 
just do (intern-soft (thing-at-point 'symbol)).
--------------bbPv4oGWZbO26yChmbJLPu0v
Content-Type: text/x-patch; charset=UTF-8; name="elisp-c-a-p-no-read-v2.diff"
Content-Disposition: attachment; filename="elisp-c-a-p-no-read-v2.diff"
Content-Transfer-Encoding: base64

ZGlmZiAtLWdpdCBhL2xpc3AvcHJvZ21vZGVzL2VsaXNwLW1vZGUuZWwgYi9saXNwL3Byb2dt
b2Rlcy9lbGlzcC1tb2RlLmVsCmluZGV4IDc3YmYzZjFlZDEuLjQ0ZjRjMDEyZWYgMTAwNjQ0
Ci0tLSBhL2xpc3AvcHJvZ21vZGVzL2VsaXNwLW1vZGUuZWwKKysrIGIvbGlzcC9wcm9nbW9k
ZXMvZWxpc3AtbW9kZS5lbApAQCAtNjk3LDcgKzY5NywxMSBAQCBlbGlzcC1jb21wbGV0aW9u
LWF0LXBvaW50CiAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgKGxldCAo
KGMgKGNoYXItYWZ0ZXIpKSkKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgIChpZiAoZXEgYyA/XCgpID9cKAogICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAoaWYgKG1lbXEgKGNoYXItc3ludGF4IGMpICcoP3cgP18pKQotICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgKHJlYWQgKGN1cnJlbnQt
YnVmZmVyKSkpKSkpCisgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAobGV0ICgocHQgKHBvaW50KSkpCisgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgIChpZ25vcmUtZXJyb3JzCisgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgKGZvcndhcmQtc2V4cCkKKyAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAoaW50ZXJuLXNvZnQK
KyAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgKGJ1
ZmZlci1zdWJzdHJpbmcgcHQgKHBvaW50KSkpKSkpKSkpCiAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgKGVycm9yIG5pbCkpKSkKICAgICAgICAgICAgICAgICAgICAgIChwY2FzZSBw
YXJlbnQKICAgICAgICAgICAgICAgICAgICAgICAgOzsgRklYTUU6IFJhdGhlciB0aGFuIGhh
cmRjb2RlIHNwZWNpYWwgY2FzZXMgaGVyZSwK

--------------bbPv4oGWZbO26yChmbJLPu0v--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 6 Jun 2022 12:44:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 08:44:27 2022
Received: from localhost ([127.0.0.1]:34613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyC5r-0007Vz-AQ
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 08:44:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyC5p-0007Vd-KO
 for 55491 <at> debbugs.gnu.org; Mon, 06 Jun 2022 08:44:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eo8at4bOWPApwAhKWJJQ8s/dhP/N5ctvbx2FI51tTJs=; b=GB9CWOK5mhVVmZii+2GFXeBvrD
 xUkw+UexyIfYo5kHI7RpN99wLjgczgOMgU0vFVfE0naG5PE6yl7+fOskIti0fy2bzkxuAkwIhFjbP
 8LM4AA9ejZ2U3izju9X0f/wlXKV5Xr9ZluasEZlQQO+K3ZyKhEF83d9TDxVwnI/VD/DI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyC5g-0002em-OT; Mon, 06 Jun 2022 14:44:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN> <E1nrS1E-0006pG-9M@HIDDEN>
 <87ee0p83zo.fsf@HIDDEN>
 <63f442fd-0fb3-3a33-9d05-ec8091ed8c04@HIDDEN>
 <87k09v2o35.fsf@HIDDEN>
 <9ccf94ab-8dba-e274-fbb9-fc5d0e28cfa1@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEW1p6DZ086geI7+
 /v2pTUNFOTn///9JIQZ0AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YGBgwrANmI/E4AAAGYSURBVDjL
 nZTNsoMgDIURh70/455GsxeZ7u94YW8Z8v6vcgO1LdrbTbNwhI9zEgKDEMeo2hSNkMJ+iK+B+QTm
 3pj+X8WvVaO1bfWWQ1ocrfrB9ghGO9RUL1urXH8AwQ436mXTNnI8AKyRyOpGCLeWwFAKKzx/cTwo
 eCYwjoxuJRgYbAuRc0l5sroZilnSn6xuWUcPrxfY7DXG9HOXZCDTMNh58+opEbsgENWSMKLf0z+s
 gB0mJMfzQOMDzDxCqhok9KubstdToSEYjBNp7wpgkIKuutwS4k3WT0AYQEh/3wgmcgcLBQBwO8i1
 7yfYAgRY2RBOwCr2SopAHlQBFq4eprQ8TvVyUATOnioKurUFmIdcjGeVpsu1AJTbRVybRroUVoaT
 yxgT8PQ7vAB3BUOklQnFXhVAIQTnElhrW1jZRgX0TOSmOWMBRCf4knBECkOZ/NIOMQN3bMlcVSoD
 f+pV1wh0O4glkI2ml1MBRAc78OQLYHQ38fXk5Scwiw6jz4njASyVvF+q89Ga9H7wA8IhtQa4fP9k
 vMcfskv0in2aKTIAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDYtMDZUMTI6NDM6MDArMDA6MDBK
 PFE5AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA2LTA2VDEyOjQzOjAwKzAwOjAwO2HphQAAAABJ
 RU5ErkJggg==
X-Now-Playing: Matmos's _The Consuming Flame: Open Exercises in Group Form
 (2): On the Team_: "Adepts"
Date: Mon, 06 Jun 2022 14:44:15 +0200
In-Reply-To: <9ccf94ab-8dba-e274-fbb9-fc5d0e28cfa1@HIDDEN> (Dmitry Gutov's
 message of "Mon, 6 Jun 2022 02:36:53 +0300")
Message-ID: <87czfmx8ps.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > Looking at the
 possible
 problems, I guess the regexp doesn't account > for possible escapings? Like
 a symbol 'let\ s\ go\ to\ the\ mall', > which shouldn't be mistaken for 'let'.
 That would require [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, Richard Stallman <rms@HIDDEN>, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Looking at the possible problems, I guess the regexp doesn't account
> for possible escapings? Like a symbol 'let\ s\ go\ to\ the\ mall',
> which shouldn't be mistaken for 'let'. That would require a more
> complex regexp.

Yes, so that won't be the right thing.  It'd be nice if we had a version
of `read' that's more like "read the next symbol but return nil if it's
not interned already" for these cases.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 5 Jun 2022 23:37:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 19:37:05 2022
Received: from localhost ([127.0.0.1]:33709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxznt-0006X2-Ct
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 19:37:05 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:41739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1nxznq-0006WX-CK
 for 55491 <at> debbugs.gnu.org; Sun, 05 Jun 2022 19:37:04 -0400
Received: by mail-wr1-f45.google.com with SMTP id k19so17680882wrd.8
 for <55491 <at> debbugs.gnu.org>; Sun, 05 Jun 2022 16:37:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:message-id:date:mime-version:user-agent:subject
 :content-language:to:cc:references:from:in-reply-to
 :content-transfer-encoding;
 bh=lbE9begsen9gQjUlxW1GQ72zTmGS2UevZir6zamPNok=;
 b=ShkU+9xUaT2qQLFEyQzIhdwWgdz//pK8xc9GmiFgKPLBhXT8NkJnGlOTU4koX1wRqI
 zNIzmjC0farG9QGBIj2SERk6zv+l50g1BR3Q2/FyKN48yl9b3KaedZsdm5o0skQaSGRp
 EqVVZGN/R0izVtPyOI6i+VBcMghJDwDqM3k4YV+M2AeXQ1313AFNWCYjjPqIc4cxEVTo
 8UmKFglIQKZ0HaNeg53y2MNVAA+WoyOG2vt/I/74JP1qyYIXfqcGfGKoMTvGkfxMV7IE
 MZ9c8zZLxKQn5JLBCgOgA7vIPpKgqd9A88lB0jts13Ch3dCunu97VRNwX2I2XdD3FXun
 5xCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:message-id:date:mime-version:user-agent
 :subject:content-language:to:cc:references:from:in-reply-to
 :content-transfer-encoding;
 bh=lbE9begsen9gQjUlxW1GQ72zTmGS2UevZir6zamPNok=;
 b=DVMLQkbjjR5T0xi/CL4rMWVZlVDYMZ7Eztkf3aoSvqBsQsJ9qpR/5BJP4lM/DrRiQZ
 fIur0inYGmR40n4Uy1YvJJxuk3TWM1XNgeaxyl+bPnD50zKdf1jS/swy42IIydk6+ksh
 L2uxnj/vXalma56XWhYFG3C2zgJp+DtTQzcqEbe3i49RlxuHAxjr2vS8hQ8qdds2rVNq
 Tgq3wMmrjVqCvMQxRouXxxxH4zpFR08SyVZBvay9BumJG9AIPui/V3tVi8XLb9F5nP39
 McoJur/FEaVxciINHWa2iCZ7jX4ovF+5QZBROxlWwSTj6w1BGJ+L4bPX9Kv5I8X1YvPq
 GG+w==
X-Gm-Message-State: AOAM532uSOXqQIwIdQV0Dpk6N5Y2PUkbYcD7K5mHV+8thN0c2Py9NSjt
 5J4gm/taNiZWWCUp2UP/3RY=
X-Google-Smtp-Source: ABdhPJyh1myfMbti4iCvixPYZ3zHLDdFD9lL36tVru1fBlZ7sdNif8cSmyN1Q3m74/79rmTgz05IzA==
X-Received: by 2002:a5d:47c3:0:b0:210:3eab:947a with SMTP id
 o3-20020a5d47c3000000b002103eab947amr19063145wrc.50.1654472216151; 
 Sun, 05 Jun 2022 16:36:56 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 l2-20020a05600c4f0200b0039c46fed88dsm5943265wmq.16.2022.06.05.16.36.54
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 05 Jun 2022 16:36:55 -0700 (PDT)
Message-ID: <9ccf94ab-8dba-e274-fbb9-fc5d0e28cfa1@HIDDEN>
Date: Mon, 6 Jun 2022 02:36:53 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#55491: All completion fragments get added to obarray
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN> <E1nrS1E-0006pG-9M@HIDDEN>
 <87ee0p83zo.fsf@HIDDEN> <63f442fd-0fb3-3a33-9d05-ec8091ed8c04@HIDDEN>
 <87k09v2o35.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87k09v2o35.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, Richard Stallman <rms@HIDDEN>, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 05.06.2022 17:15, Lars Ingebrigtsen wrote:
> Dmitry Gutov<dgutov@HIDDEN>  writes:
> 
>> Should we try to remove the last 'read' call on line 700? Like this.
> Yes, makes sense to me.

Looking at the possible problems, I guess the regexp doesn't account for 
possible escapings? Like a symbol 'let\ s\ go\ to\ the\ mall', which 
shouldn't be mistaken for 'let'. That would require a more complex regexp.

I wonder what other cases we're still missing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 5 Jun 2022 14:15:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 10:15:54 2022
Received: from localhost ([127.0.0.1]:33157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxr2n-0000tK-SO
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 10:15:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nxr2l-0000lK-LQ
 for 55491 <at> debbugs.gnu.org; Sun, 05 Jun 2022 10:15:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wMJgz8uSEUeW0uXMp+mg66H90BB217xItSXMXOlvkvg=; b=ABYCB9mJi/gv3m6I9w9YaWGBoI
 J+41yPulaFAKHJtJNK7fl884sNeyAMNHor58w0z5qIP7r8M+/vOJyJZP+8EsklemBB6zayILgP3v2
 FpIFePqrjDHBKW2pa+bH5l8IG9O01TsjQFU3+scI4vxZzsarCYejWUtEKwZesp5KDzp0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nxr2d-0001s0-8U; Sun, 05 Jun 2022 16:15:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN> <E1nrS1E-0006pG-9M@HIDDEN>
 <87ee0p83zo.fsf@HIDDEN>
 <63f442fd-0fb3-3a33-9d05-ec8091ed8c04@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUPDxInHCONbKxO
 KEOiOy3///9uRwijAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YGBAw1FyQTjt0AAAGlSURBVDjLpZNh
 mqMwCIbh6R4AxAOsZA4gkAO0mvufaUk6M9raf8uPqLx8BAkB+G9DZiY6vpl/QaIDYLEkmA40PoOb
 aiG4/e1axFMqdFUCfN9wWmCO+A07FF6wHXJkW79fdaGGcNryJ0QXvCP4+gmswG7v4KaZCFivCg+T
 2q4AoC5Sd71uPredUK4AYvrKDpVrpy0bslzjYX508OFoNkbxxwfQcvnzAcwje7sWuw3XdH/zCzde
 8zznB9tJ5CAzZb8ni7oTUJ8RxhXZgTM55TnDfO/eCBZfOY+TmxsHO0sfD9UOTRaE1vwrYtOwaoxf
 zVjUpoVBS4R6aEQsnL0Jm8oAHl5105yrnsSTh1rk+Eno0zL+Vlt0VckoiAGiuJqI1j3qpsWLQd84
 N8j+lmAte6L82hp0l46lKGW0L2WEgfZUuw8Vieoj/zHzOvQ6m0VUcqMMshyw4iFQIr3ELBRMWRAT
 S+nXKPhpQsYkcUwj/9j7UOPTO4alL3CSjEf22T4oXi7kGfQrzG/kW5ANfSXS0mysO13AHn2NFwkP
 V9Sk9lIA15OCjuL+AZFuUILiwA2mAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2LTA0VDEyOjUz
 OjIzKzAwOjAwf9+2egAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0wNFQxMjo1MzoyMyswMDow
 MA6CDsYAAAAASUVORK5CYII=
X-Now-Playing: 1CD (2022) - 14 Chances's _Illusion_: "(Illusion Suite #1)"
Date: Sun, 05 Jun 2022 16:15:42 +0200
In-Reply-To: <63f442fd-0fb3-3a33-9d05-ec8091ed8c04@HIDDEN> (Dmitry Gutov's
 message of "Sat, 4 Jun 2022 20:59:47 +0300")
Message-ID: <87k09v2o35.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Dmitry Gutov <dgutov@HIDDEN> writes: > Should we try to
 remove the last 'read' call on line 700? Like this. Yes, makes sense to me.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, Richard Stallman <rms@HIDDEN>, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Should we try to remove the last 'read' call on line 700? Like this.

Yes, makes sense to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 4 Jun 2022 18:00:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 04 14:00:01 2022
Received: from localhost ([127.0.0.1]:59628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxY48-0006Lz-SO
	for submit <at> debbugs.gnu.org; Sat, 04 Jun 2022 14:00:01 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:41636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1nxY44-0006LX-EY
 for 55491 <at> debbugs.gnu.org; Sat, 04 Jun 2022 13:59:59 -0400
Received: by mail-wr1-f44.google.com with SMTP id k19so14343889wrd.8
 for <55491 <at> debbugs.gnu.org>; Sat, 04 Jun 2022 10:59:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:message-id:date:mime-version:user-agent:subject
 :content-language:to:cc:references:from:in-reply-to;
 bh=EgGbAgnAWIp3hDGb8E9Efh9+VIop4QCwSjSEJNKk9/I=;
 b=Z/MHAiUY6mFoMzcQTZVy8VnKMgt9gmFmhI5lejnV8GSEbB82GZLJFQvyLvc+OftoI8
 3XG03PbF+V4iGhud2NGKaU7cbBOCLKc2CRPTXfaGWE5eG1rxRP7w1fGvrsNYihcuhwF2
 rchXpIbKQbGkaMLRXola4T5ePfesV90UZmlU91qKRK6nC/gKTHeoP8B1TG18wjOmwaN2
 wfQl2jyCPx56bTZKuGppZSiDCInH/wtnoSDcxCXRdrqhJ8zbn+ztPUF7nI7vp8cKbWIO
 WUqi8o4YitbUghBEt9fkRa4mDryoi+D59H7/b/VFDAj+MWrJ0rd1nQxvonh+WBuwahl/
 mtiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:message-id:date:mime-version:user-agent
 :subject:content-language:to:cc:references:from:in-reply-to;
 bh=EgGbAgnAWIp3hDGb8E9Efh9+VIop4QCwSjSEJNKk9/I=;
 b=46bURywuoRGFVqIBHZ1u23aEi6IY7GRZqRwY3KG8eX8k2dkaxxCdR4W/oK+8wSrxKR
 njy9kUWuSeqo4XLkDjFEWyfx2PUb9gp0a4KVAG/BQ8997d1CBSDgaS25Sfbbh7dTlezl
 vKIdtYbnBQX368D673UuhjY5MDR/5bpjGqgXf/AXo8nedJ6YCWZ4wJ90Oriub22tZhX0
 nT5Xs/sukLOFYDENo2DVIBAax6GJoNwhC1W+N+72+L7ZyD2alY0H8JcHWaBVVUOI63PQ
 G5K4aTrEGn6vh12VPgSW878zIG9gyVSxVPtI4j/XHUMl0SeKAXBa91XM2vXUyeMLejwh
 zo0Q==
X-Gm-Message-State: AOAM530nExJ8s3Lx/P0XO1e0++6VyBV4Muks7F145M3SYHZY69lAl2q8
 J8kjzToiHXVkrIPGD9cn8NQ=
X-Google-Smtp-Source: ABdhPJz/BX35nVnFOLakC7mKZRY/OfCjQV7yRrRkHKhyojfsISMHNf7Y1w8SNn+S+AOptvJbb/CpJg==
X-Received: by 2002:a05:6000:1866:b0:20f:c0d2:a25c with SMTP id
 d6-20020a056000186600b0020fc0d2a25cmr13275127wri.457.1654365590225; 
 Sat, 04 Jun 2022 10:59:50 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 m2-20020adfe942000000b0020fcaba73bcsm11019613wrn.104.2022.06.04.10.59.48
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 04 Jun 2022 10:59:49 -0700 (PDT)
Content-Type: multipart/mixed; boundary="------------DMU3eixbmrZiMRux7gqNaB40"
Message-ID: <63f442fd-0fb3-3a33-9d05-ec8091ed8c04@HIDDEN>
Date: Sat, 4 Jun 2022 20:59:47 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#55491: All completion fragments get added to obarray
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN> <E1nrS1E-0006pG-9M@HIDDEN>
 <87ee0p83zo.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <87ee0p83zo.fsf@HIDDEN>
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This is a multi-part message in MIME format.
--------------DMU3eixbmrZiMRux7gqNaB40
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

On 20.05.2022 03:03, Lars Ingebrigtsen wrote:
> And that's unnecessary -- we don't actually need the fun-sym; we're just
> checking whether we're looking at `ignore-error'.  So I've now fixed
> this in Emacs 29.
> 
> Note that completion in emacs-lisp-mode may still intern stuff, but not
> as gratuitously as before.

Should we try to remove the last 'read' call on line 700? Like this.
--------------DMU3eixbmrZiMRux7gqNaB40
Content-Type: text/x-patch; charset=UTF-8; name="elisp-c-a-p-no-read.diff"
Content-Disposition: attachment; filename="elisp-c-a-p-no-read.diff"
Content-Transfer-Encoding: base64

ZGlmZiAtLWdpdCBhL2xpc3AvcHJvZ21vZGVzL2VsaXNwLW1vZGUuZWwgYi9saXNwL3Byb2dt
b2Rlcy9lbGlzcC1tb2RlLmVsCmluZGV4IDc3YmYzZjFlZDEuLjAxMzBjMDAyZGEgMTAwNjQ0
Ci0tLSBhL2xpc3AvcHJvZ21vZGVzL2VsaXNwLW1vZGUuZWwKKysrIGIvbGlzcC9wcm9nbW9k
ZXMvZWxpc3AtbW9kZS5lbApAQCAtNjk3LDcgKzY5Nyw4IEBAIGVsaXNwLWNvbXBsZXRpb24t
YXQtcG9pbnQKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAobGV0ICgo
YyAoY2hhci1hZnRlcikpKQogICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgKGlmIChlcSBjID9cKCkgP1woCiAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgIChpZiAobWVtcSAoY2hhci1zeW50YXggYykgJyg/dyA/XykpCi0gICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAocmVhZCAoY3VycmVudC1i
dWZmZXIpKSkpKSkKKyAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgIChhbmQgKGxvb2tpbmctYXQgIlxcKD86XFxzd1xcfFxcc19cXCkrIikKKyAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgKGludGVybi1zb2Z0
IChtYXRjaC1zdHJpbmcgMCkpKSkpKSkKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAo
ZXJyb3IgbmlsKSkpKQogICAgICAgICAgICAgICAgICAgICAgKHBjYXNlIHBhcmVudAogICAg
ICAgICAgICAgICAgICAgICAgICA7OyBGSVhNRTogUmF0aGVyIHRoYW4gaGFyZGNvZGUgc3Bl
Y2lhbCBjYXNlcyBoZXJlLAo=

--------------DMU3eixbmrZiMRux7gqNaB40--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 55491 <at> debbugs.gnu.org and JD Smith <jdtsmith@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 20 May 2022 00:03:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 19 20:03:35 2022
Received: from localhost ([127.0.0.1]:36923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrq7D-0001VT-0D
	for submit <at> debbugs.gnu.org; Thu, 19 May 2022 20:03:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nrq7B-0001VF-DY
 for 55491 <at> debbugs.gnu.org; Thu, 19 May 2022 20:03:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FjY3wW/+yxGzgedkgAfsxBgB0zB5jhAFk1eSfgvCEXU=; b=O+zSS2wHNNekHtTDqQg58pK2en
 guDrdzGFtz6msG60f4vZSXXdwHuTu5CTYxZDN+VvHi3OdD+mN0dE6rJstLM4n7OvdTQYNQM5vYByy
 SU8+qXYat6HClDLYOXLtN8E7rynMZxjXi3Vno9i/PLWoxvIRIoVzatuthC6zeid5GuaE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nrq72-0008Nl-Gb; Fri, 20 May 2022 02:03:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN> <E1nrS1E-0006pG-9M@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWxr6rZ1MiGgns1
 MzH///9Axw47AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YFExcnDEyfboUAAAGESURBVDjLdZOJjcQg
 DEVtaMDONMDRQIL7720/BnJpgzQj4sf3CUTEyool2Ahh9X/fzO9/1if4XPwF9L3urmcaTyBv5WU4
 i+ky5gH0HqOWcKQ0/d5BSEQhvBRbSd0ZD4+QyDxsZjCW/AICux0PxRBE2IkDBRF6KKpZClpbaqE8
 ABQJR4W5Jzpb2FHleLZkABGBQbLyVc6og3tTxJN5KjyKB/IaNO66BjWBeOnFbAWX6T50ICnVvOYx
 nEsKmXQjsnx6QmiBABb5LdDn4vlsezWSQElmDJUBYqvNrCnFvIBXAH8FCWX0ZgCeAIkFQqZqtj9B
 0Jgp6GazjlFCUvRQdhzq8+ILsHBMujH9TjAah8wi/JPZDbDfPf0B9ADWFujFFbi0MXg7ziYCNGbM
 cIDtbHtXAMcm1QXHBYSyIEjrgriAOsBV80ythZovsMkJrM/gUshKyUyEr6wAjgkarqncgWUHpZ0v
 k/2plZLwK6niBj8e7Fh7L8T+efEj/MuI10fRPhTB8/LtHw6CQir5aoJ0AAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIyLTA1LTE5VDIzOjM5OjEyKzAwOjAwJP0TSgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 Mi0wNS0xOVQyMzozOToxMiswMDowMFWgq/YAAAAASUVORK5CYII=
X-Now-Playing: Hector Zazou's _Reivax au Congo_: "L'Apparition"
Date: Fri, 20 May 2022 02:03:23 +0200
In-Reply-To: <E1nrS1E-0006pG-9M@HIDDEN> (Richard Stallman's message
 of "Wed, 18 May 2022 18:19:48 -0400")
Message-ID: <87ee0p83zo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Poking at this some more, this behaviour comes from: (defun
 elisp-completion-at-point () [...] (fun-sym (condition-case nil
 (save-excursion
 (up-list -1) (forward-char 1) (and (memq (char-syntax (char-after)) '(?w
 ?_)) (read (current-buffer)))) (error ni [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Poking at this some more, this behaviour comes from:

(defun elisp-completion-at-point ()
[...]
           (fun-sym (condition-case nil
                        (save-excursion
                          (up-list -1)
                          (forward-char 1)
                          (and (memq (char-syntax (char-after)) '(?w ?_))
                               (read (current-buffer))))
                      (error nil))))

That `read' there is interning `ohno' when hitting `C-M-i' after:

(ohno

And that's unnecessary -- we don't actually need the fun-sym; we're just
checking whether we're looking at `ignore-error'.  So I've now fixed
this in Emacs 29.

Note that completion in emacs-lisp-mode may still intern stuff, but not
as gratuitously as before. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 18 May 2022 22:19:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 18:19:56 2022
Received: from localhost ([127.0.0.1]:33856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrS1L-0006Wi-Vq
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 18:19:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1nrS1K-0006WV-5E
 for 55491 <at> debbugs.gnu.org; Wed, 18 May 2022 18:19:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41746)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rms@HIDDEN>)
 id 1nrS1E-0006Yj-T6; Wed, 18 May 2022 18:19:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=Date:References:Subject:In-Reply-To:To:From:
 mime-version; bh=9DEN8wIlNZyM7/6RBji74xYUHrKl9WnBibYZX8y8FC0=; b=QG3IRt6nj3E5
 /G8al0VnXgZRS4v5FKFKaQrX159k72BluWDR0/0dv3RC7u+2nXev81EEdOKVW9wMQ/i3CIc6sjXdU
 dQ92+6/UoXxJKYCdXdqA8yR0NjRKmvEKdzgAHk3V9RApnA7D06DZuABtgqKmR0Gyzhn01GKefxdmf
 g+YG5wtza0roogAwkQjUt5z0dkcoLR0sLAF1Rx21R/uqz6IDSRa1Jylhf7Zv3dNF1aUJdUqjD0AGY
 m6qT8NKeghQcTU4pLpicns1iIJAjt4+ckOg+G4gQclRI7GwnZWqsBgoXD95sObIurqlt40dujgvjb
 qPDsUDeEVGPJUCYBo8VEow==;
Received: from rms by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1nrS1E-0006pG-9M; Wed, 18 May 2022 18:19:48 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87sfp7hpgg.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 17 May 2022 22:30:23 +0200)
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN>
Message-Id: <E1nrS1E-0006pG-9M@HIDDEN>
Date: Wed, 18 May 2022 18:19:48 -0400
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org, jdtsmith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Completion in emacs-lisp-mode doesn't take unbound variables into
  > account, I think?  So putting stuff into the obarray shouldn't have much
  > (if any) noticeable effect.

If it's a really large number of fragments, they could make `intern' slower.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 18 May 2022 11:07:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 07:07:39 2022
Received: from localhost ([127.0.0.1]:59125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrHWk-00026q-Tc
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 07:07:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nrHWj-00026d-J6
 for 55491 <at> debbugs.gnu.org; Wed, 18 May 2022 07:07:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=D3/6tZCQTCUFXeakmt1aKxZT4g3M3XwKmCNHQJi9WvY=; b=A3ZaE+puHUQH7eVwAxEvDUu2z1
 2IUP+eH+AUJpDMAFKhMiZsNOeB87CWlW7cKEXlcoRobVYNR8uDHMem94uIIhPGpY3J+YCOp2Cpp4A
 3bB4LmffCSCsdOL33L+pustqslQ6MBXd806/itZRP6GAXRtBErMICO9ZhqdjrhGmJEwo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nrHWb-0006Sk-C9; Wed, 18 May 2022 13:07:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: JD Smith <jdtsmith@HIDDEN>
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN>
 <F08967E1-82E3-4F56-88B6-C71106F7C03E@HIDDEN>
 <87y1yzdrwx.fsf@HIDDEN>
X-Now-Playing: William Basinski's _The Disintegration Loops_: "DLP 1.1"
Date: Wed, 18 May 2022 13:07:28 +0200
In-Reply-To: <87y1yzdrwx.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 18 May 2022 13:03:10 +0200")
Message-ID: <87tu9ndrpr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I think it's
 "always" been like this, so it may be unlikely to be > changed. But I have
 to admit that I have no idea why completion is > interning stuff. Does anybody
 know? It does seem counter intu [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think it's "always" been like this, so it may be unlikely to be
> changed.  But I have to admit that I have no idea why completion is
> interning stuff.  Does anybody know?  It does seem counter intuitive.

And as you pointed out -- `intern' itself doesn't seem to be actually
called by the completion machinery -- I tested under gdb just to make
sure.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 18 May 2022 11:03:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 07:03:24 2022
Received: from localhost ([127.0.0.1]:59114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrHSe-0001xk-1w
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 07:03:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nrHSc-0001xU-Kf
 for 55491 <at> debbugs.gnu.org; Wed, 18 May 2022 07:03:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=LzYSstrvQAMYWWAOgTxKXHOoqDkRUb7fXrR8fenSa3o=; b=m8GjLFoOmNpRPAQzt4EPdq/xGc
 6SdAWoRSAFUzNwKqyaarz/nEYfS0PYrRVdnMoDeIAcrcjTG3X1rrwvc/Yg2pwdGQhKn1IQFqrpmYz
 r8Lg3FAMC6la9jxo+pCIgtgKx2mPQxq05jfMsvfYvW8ShzqqOz1xRaHIQrYhH21Fb5dA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nrHSU-0006Ri-89; Wed, 18 May 2022 13:03:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: JD Smith <jdtsmith@HIDDEN>
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN>
 <F08967E1-82E3-4F56-88B6-C71106F7C03E@HIDDEN>
X-Now-Playing: William Basinski's _The Disintegration Loops_: "DLP 1.1"
Date: Wed, 18 May 2022 13:03:10 +0200
In-Reply-To: <F08967E1-82E3-4F56-88B6-C71106F7C03E@HIDDEN> (JD Smith's
 message of "Tue, 17 May 2022 18:50:41 -0400")
Message-ID: <87y1yzdrwx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  JD Smith <jdtsmith@HIDDEN> writes: > Thanks for your thoughts.
    The context is fairly specific — using > cape-super-capf to compose two
    CAPF’s: elisp-completion-at-point and > cape-dabbrev. This results in incorrect
    test-completion [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

JD Smith <jdtsmith@HIDDEN> writes:

> Thanks for your thoughts.  The context is fairly specific =E2=80=94 using
> cape-super-capf to compose two CAPF=E2=80=99s: elisp-completion-at-point =
and
> cape-dabbrev. This results in incorrect test-completion calls which
> interfere with candidate selection.  With your nudge, I discovered
> this is because cape is not handling the elisp--shorthand-aware-*
> predicates returned by the elisp completion system in all cases, so it
> can be fixed there.

Ah, I see.

> I guess whether this constitutes a bug depends on whether anyone would
> expect unbound completion fragments to pollute the obarray.

I think it's "always" been like this, so it may be unlikely to be
changed.  But I have to admit that I have no idea why completion is
interning stuff.  Does anybody know?  It does seem counter intuitive.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 17 May 2022 22:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 18:50:53 2022
Received: from localhost ([127.0.0.1]:58305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr61k-0008G0-Ur
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 18:50:53 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:44025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jdtsmith@HIDDEN>) id 1nr61i-0008Fn-I1
 for 55491 <at> debbugs.gnu.org; Tue, 17 May 2022 18:50:51 -0400
Received: by mail-qv1-f50.google.com with SMTP id v5so267771qvs.10
 for <55491 <at> debbugs.gnu.org>; Tue, 17 May 2022 15:50:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=bhrGiFBG4n26x5ImDPvv15AWFE2hpK5O70pWHGqHptI=;
 b=PtR7sklNdIDCMrQta894TEG19Cszmd+v8hBT17XkCIEXlgEILVFbpDSO4MJ39LRFDJ
 z4lc2lMllTprBrdXzFgPMMK0kQKCewm5lHtKgrPrgvzZ2W6+Qi9446JTDkAgutKHPsW9
 Evu2YImm8vMcb/9+o2iqqRPAjQpLe8LGXJliUXok89VLrTMKjJNvAAsBVt3WN0r3Em+9
 YIfaEQI7/sQEVC6lGXaBPmX2wG+0nnQjZW/BXuOndeQdIbUXv6XMPA9YrBFTuIzXCbHq
 jtLpaRHNWM0OUTgj/nsQs0sQKQmjCr67UPcC9r7RpdTFM3x7hYxxfJYNAXgyjdWFNnVQ
 b/Gg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=bhrGiFBG4n26x5ImDPvv15AWFE2hpK5O70pWHGqHptI=;
 b=VSFEpolJeLZLe2kJqKAf7bwV036NOapGlboJ+XD2ZMyWqL2Ch2ff0rHy4VD4McGuPV
 p0xhRcoddOPmudQ7hhXmrb0DKKMSNMqe/POizekuJniIODlMRtZka0BBPzJW2jT15qCu
 undttGebWMqfFrzjqxh3Kn1wRwuONM91zNowRIVZrRpEty33bIBGbhdTj54V+mWE8S9o
 jEA+ophsICRqwYxBMIF6URkaSbct19NOQKWBKrKaevRJWhukLA+adw89refnRDyjO2pT
 T0c/psgwEQ7HxmDICiEEIAnxQ6MgEO06emuvcTOWQ68saEwdtue2e6m487ur8o1j+lFs
 u+og==
X-Gm-Message-State: AOAM533+AEjVIlhL8kwHENLyXgksomaR7Tl883qZS0WIcUQFroXm7HZl
 whvUBWahn2OK3ETfm2qfpaeA7Q1riPU=
X-Google-Smtp-Source: ABdhPJx3n4pkEsP8WC/AJb7I5ggfSBfaEvv/zRsvjngbs7ecZUzav+ptbJRMDHHu51nVAo3ahPXrcA==
X-Received: by 2002:a05:6214:21ef:b0:461:da67:89f9 with SMTP id
 p15-20020a05621421ef00b00461da6789f9mr6102505qvj.62.1652827844778; 
 Tue, 17 May 2022 15:50:44 -0700 (PDT)
Received: from smtpclient.apple (cm-134-228-57-173.buckeyecom.net.
 [134.228.57.173]) by smtp.gmail.com with ESMTPSA id
 h25-20020ac87459000000b002f39b99f6c4sm119456qtr.94.2022.05.17.15.50.42
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 17 May 2022 15:50:43 -0700 (PDT)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: Re: bug#55491: All completion fragments get added to obarray
From: JD Smith <jdtsmith@HIDDEN>
In-Reply-To: <87sfp7hpgg.fsf@HIDDEN>
Date: Tue, 17 May 2022 18:50:41 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <F08967E1-82E3-4F56-88B6-C71106F7C03E@HIDDEN>
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
 <87sfp7hpgg.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3696.80.82.1.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Thanks for your thoughts.  The context is fairly specific =E2=80=94 =
using cape-super-capf to compose two CAPF=E2=80=99s: =
elisp-completion-at-point and cape-dabbrev. This results in incorrect =
test-completion calls which interfere with candidate selection.   With =
your nudge, I discovered this is because cape is not handling the =
elisp--shorthand-aware-* predicates returned by the elisp completion =
system in all cases, so it can be fixed there.=20

I guess whether this constitutes a bug depends on whether anyone would =
expect unbound completion fragments to pollute the obarray.=20

> On May 17, 2022, at 4:30 PM, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>=20
> JD Smith <jdtsmith@HIDDEN> writes:
>=20
>> (intern-soft "ohno") <C-M-x> -> nil
>> (ohno <M-TAB>                -> No match
>> (intern-soft "ohno") <C-M-x> -> ohno :(
>>=20
>> This has the result that, e.g.:
>>=20
>> (test-completion "ohno" obarray nil) <C-M-x> ; t!  Sigh
>>=20
>> will always return t during completion, for any completed fragment.
>> For completion systems that complete against obarray
>> (e.g. emacs-lisp), this is obviously undesirable.
>=20
> Completion in emacs-lisp-mode doesn't take unbound variables into
> account, I think?  So putting stuff into the obarray shouldn't have =
much
> (if any) noticeable effect.
>=20
> Where do you see anything undesirable as a result of this?
>=20
> (This behaviour is still present in Emacs 29.)
>=20
> --=20
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at 55491 <at> debbugs.gnu.org:


Received: (at 55491) by debbugs.gnu.org; 17 May 2022 20:30:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 16:30:34 2022
Received: from localhost ([127.0.0.1]:58145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr3px-0000HU-Vo
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 16:30:34 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nr3pw-0000HD-Ds
 for 55491 <at> debbugs.gnu.org; Tue, 17 May 2022 16:30:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BC2bzrO/MZ96xYIC5hg6E9YEXOEhq7t3uvalQjYI0lo=; b=LyPV34uAxJBjTzwmnQSL33F5cE
 hoNBKlU36o7zmnA66RkUaET+MwZgC8oUaJXXIN1zeJ4QDz7ntx8mpitPcxj72QUviKBnlhUYP+MrB
 dbWt3CquP/h8XkbgeZCWJ7aKeW3CNZ+avFvISzFJhKmo+2zj2eJ1lrsMmBpIBKTekFb8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nr3pn-0007B6-Qd; Tue, 17 May 2022 22:30:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: JD Smith <jdtsmith@HIDDEN>
Subject: Re: bug#55491: All completion fragments get added to obarray
References: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEX9/fy4sLDt4tbO
 zc7p2KjpvEp2cHrZZj////847HfPAAAAAWJLR0QIht6VegAAAAd0SU1FB+YFERQbMlZCfAMAAAGp
 SURBVDjL7VKxctswDIVBpbMpxvYKkaK7SqS6R7J0WR2FrFen7qlrm7NPv19KlnKXXIcOHoMBR/KB
 D8ADAD7tPyy+HdXCvL+jUcEhIKn3gEJjSEqw9sOH5kkJowjkB+a88c4AxUj5W+xQOCuU9qauBUFH
 EyBZODED3mclF8BO2cRGLLjEoPfWSguLLp6BwdkBaGnNYfvC7dgJUghg+T1sLnvsTnZ74sX4BUPl
 gaNQv9yBymWdnHIzkjBSnAssv/ePF2BHuT1aea0rZlxY/XTo63O8OCqRsQkwUinS7rE/u5+lDYmT
 SUUlXe3qttD9ZVUvQ5HJrFbUeO9al57dSj/TmlQeqJBDoqH2jXN3Z7lqSnvYM5sBbLuuu6vaVDdV
 1LerZif0kpIArMv1j0g3eucBv75+q/XeZ2O5683mXvHQ4QOgfo12iWoMDsm/pI2nIRcFaapC2CDZ
 70FVTN1DmHaGFDCIM4ou/s8I5EaS5VmYaDr2i+6lvWpoRS7yLJLpJAQMYVdjIh94xhGMdz4PXUyx
 FMmqGoY9r8P1HaVElNU/dnNOcjsbt+OG9hdibkmf1v9i1wAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 Mi0wNS0xN1QyMDoyNzo1MCswMDowMHUneY8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDUtMTdU
 MjA6Mjc6NTArMDA6MDAEesEzAAAAAElFTkSuQmCC
X-Now-Playing: Crosby, Stills, Nash & Young's _So Far_: "Suite: Judy Blue Eyes"
Date: Tue, 17 May 2022 22:30:23 +0200
In-Reply-To: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN> (JD Smith's
 message of "Tue, 17 May 2022 16:22:35 -0400")
Message-ID: <87sfp7hpgg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: JD Smith <jdtsmith@HIDDEN> writes: > (intern-soft "ohno")
 <C-M-x> -> nil > (ohno <M-TAB> -> No match > (intern-soft "ohno") <C-M-x>
 -> ohno :( > > This has the result that, e.g.: > > (test-completion "ohno"
 obarray nil) <C-M-x> ; t! Si [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55491
Cc: 55491 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

JD Smith <jdtsmith@HIDDEN> writes:

>  (intern-soft "ohno") <C-M-x> -> nil
>  (ohno <M-TAB>                -> No match
>  (intern-soft "ohno") <C-M-x> -> ohno :(
>
> This has the result that, e.g.:
>
>  (test-completion "ohno" obarray nil) <C-M-x> ; t!  Sigh
>
> will always return t during completion, for any completed fragment.
> For completion systems that complete against obarray
> (e.g. emacs-lisp), this is obviously undesirable.

Completion in emacs-lisp-mode doesn't take unbound variables into
account, I think?  So putting stuff into the obarray shouldn't have much
(if any) noticeable effect.

Where do you see anything undesirable as a result of this?

(This behaviour is still present in Emacs 29.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 May 2022 20:22:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 17 16:22:45 2022
Received: from localhost ([127.0.0.1]:58131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nr3iO-0008U5-GQ
	for submit <at> debbugs.gnu.org; Tue, 17 May 2022 16:22:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:48704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jdtsmith@HIDDEN>) id 1nr3iM-0008Tx-Ib
 for submit <at> debbugs.gnu.org; Tue, 17 May 2022 16:22:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50716)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jdtsmith@HIDDEN>)
 id 1nr3iM-0003oW-Bn
 for bug-gnu-emacs@HIDDEN; Tue, 17 May 2022 16:22:42 -0400
Received: from mail-qv1-xf31.google.com ([2607:f8b0:4864:20::f31]:38498)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jdtsmith@HIDDEN>)
 id 1nr3iJ-0006Rg-Os
 for bug-gnu-emacs@HIDDEN; Tue, 17 May 2022 16:22:41 -0400
Received: by mail-qv1-xf31.google.com with SMTP id n10so33855qvi.5
 for <bug-gnu-emacs@HIDDEN>; Tue, 17 May 2022 13:22:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:mime-version:subject:message-id:date:to;
 bh=atpD/JQkPmCnGbav/kDSD6ywsLrvsMea2MhbZyPFEmk=;
 b=dQeJFAe5sHD/0pVA3Jg+kJn42y2MNlEUiQPOLbaGEW5r9Ug68oRnInJFVqsh5hT/LW
 yyx5KVkH9F/rrI/ZW17wsTzyNAoJbVednu8RdqC06hk4+miCH6lANb3jW0xZq3AHeIrx
 n7apUgzwYmNVPe6OBSIQ6s22+M3PpUMZ/gnGS3ZHQkEvajF+8xSI9sV4JAWz2nXlZP0a
 wvxrJcObj/P0gL5SY42H+Ih93nk/bEQ6v9IaF4z7lcqp9Djm1JXnAkJ5VO859m2pBbYt
 A6SbpyQG9MdoINZNBH5+A3Wfs81pdoBKm4YZpTqybaA0up/2ReM09RJqKDJx0cQjDL15
 Lk2g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:to;
 bh=atpD/JQkPmCnGbav/kDSD6ywsLrvsMea2MhbZyPFEmk=;
 b=e02JHJ84jsWJXGO6ka6ZvZ0WRtilGWgFqDS85exXY0Vu0yr7zp6zKQkZDtwlBXmVuj
 7ZwdEhk5y3+0jC60VUwgrQwZBekSz4ia/ncs2rseQDC4uWrMmXJfdnmgBrY4w1QOQBC6
 /iulWKBsnMFFmfRjPz/OYWl3jxgig7aw8LrT8og2FU2C3t+EeqCnmRoXpV4eSexlb7aQ
 FJ8R7qEsaz+s4RC2i4t5DOCidDDF7EGTM73upPapay/mhpLQqo8VAkxmRdCUVHC7uvx7
 MaTfonFjS7+wyHAxMhXHy7h+GP83WQ0NTupSSrzjtu/VN/VAUkBef9cfPEc258vIM3KD
 kEuQ==
X-Gm-Message-State: AOAM532lF5IZMdrHQW7HTzBISENRJJQbnChtEV2l9GSFYQ/V4EK4uNSD
 cO1LBdw5sXx0ZF3HMbvo6wP/bPdOlvE=
X-Google-Smtp-Source: ABdhPJxmR+yMwnW/hVmNcLMOs+pSEDBjfTuwFhZzu3PH1IgT+oPg2cDwZFbmiuJthVQAyLXLPu10ug==
X-Received: by 2002:a05:6214:130d:b0:461:c9ee:a9e7 with SMTP id
 a13-20020a056214130d00b00461c9eea9e7mr12039154qvv.58.1652818957871; 
 Tue, 17 May 2022 13:22:37 -0700 (PDT)
Received: from smtpclient.apple (cm-134-228-57-173.buckeyecom.net.
 [134.228.57.173]) by smtp.gmail.com with ESMTPSA id
 z17-20020ac84551000000b002f39b99f689sm8362503qtn.35.2022.05.17.13.22.36
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 17 May 2022 13:22:36 -0700 (PDT)
From: JD Smith <jdtsmith@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_C9B5A44F-E824-4204-A014-987B714AF23A"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: All completion fragments get added to obarray
Message-Id: <8AB5676F-ABCB-4849-AD65-B302AC5BDE6F@HIDDEN>
Date: Tue, 17 May 2022 16:22:35 -0400
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3696.80.82.1.1)
Received-SPF: pass client-ip=2607:f8b0:4864:20::f31;
 envelope-from=jdtsmith@HIDDEN; helo=mail-qv1-xf31.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_C9B5A44F-E824-4204-A014-987B714AF23A
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8


In Emacs 27 or 28, each and every partial fragment of text introduced to =
the completion system gets put into obarray.  =46rom emacs -Q:

(intern-soft "ohno") <C-M-x> -> nil
(ohno <M-TAB>                -> No match
(intern-soft "ohno") <C-M-x> -> ohno :(

This has the result that, e.g.:

(test-completion "ohno" obarray nil) <C-M-x> ; t!  Sigh

will always return t during completion, for any completed fragment.  For =
completion systems that complete against obarray (e.g. emacs-lisp), this =
is obviously undesirable.  Tracing intern doesn=E2=80=99t reveal any =
obvious places where completion fragments are being captured into the =
symbol array.=20

In GNU Emacs 27.2 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 =
Version 10.14.6 (Build 18G95))
 of 2021-03-27 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.2113
System Description:  macOS 12.3.1

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Mark set
nil
No match [2 times]
ohno
next-line: End of buffer
next-line: End of buffer
Configured using:
 'configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS JSON PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
apropos tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 46191 5995)
 (symbols 48 6035 1)
 (strings 32 15585 1651)
 (string-bytes 1 518510)
 (vectors 16 10357)
 (vector-slots 8 129155 12342)
 (floats 8 20 45)
 (intervals 56 196 0)
 (buffers 1000 12))


--Apple-Mail=_C9B5A44F-E824-4204-A014-987B714AF23A
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D""><div =
class=3D""><br class=3D""></div><div class=3D"">In Emacs 27 or 28, each =
and every partial fragment of text introduced to the completion system =
gets put into obarray. &nbsp;=46rom emacs -Q:</div><div class=3D""><br =
class=3D""></div><blockquote style=3D"margin: 0 0 0 40px; border: none; =
padding: 0px;" class=3D""><div class=3D"">(intern-soft "ohno") =
&lt;C-M-x&gt; -&gt; nil</div><div class=3D"">(ohno &lt;M-TAB&gt; &nbsp; =
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;-&gt; No match</div><div =
class=3D"">(intern-soft "ohno") &lt;C-M-x&gt; -&gt; ohno =
:(</div></blockquote><span id=3D"x-apple-selection:end"></span><div =
class=3D""><br class=3D""></div><div class=3D"">This has the result =
that, e.g.:</div><div class=3D""><br class=3D""></div><blockquote =
style=3D"margin: 0 0 0 40px; border: none; padding: 0px;" class=3D""><div =
class=3D"">(test-completion "ohno" obarray nil) &lt;C-M-x&gt; ; t! =
&nbsp;Sigh</div></blockquote><div class=3D""><br class=3D""></div><div =
class=3D"">will always return t during completion, for any completed =
fragment. &nbsp;For completion systems that complete against obarray =
(e.g. emacs-lisp), this is obviously undesirable. &nbsp;Tracing intern =
doesn=E2=80=99t reveal any obvious places where completion fragments are =
being captured into the symbol array.&nbsp;</div><div class=3D""><br =
class=3D""></div><div class=3D"">In GNU Emacs 27.2 (build 1, =
x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build =
18G95))</div><div class=3D"">&nbsp;of 2021-03-27 built on <a =
href=3D"http://builder10-14.porkrind.org" =
class=3D"">builder10-14.porkrind.org</a></div><div class=3D"">Windowing =
system distributor 'Apple', version 10.3.2113</div><div class=3D"">System =
Description: &nbsp;macOS 12.3.1</div><div class=3D""><br =
class=3D""></div><div class=3D"">Recent messages:</div><div class=3D"">For=
 information about GNU Emacs and the GNU system, type C-h C-a.</div><div =
class=3D"">Quit</div><div class=3D"">Mark set</div><div =
class=3D"">nil</div><div class=3D"">No match [2 times]</div><div =
class=3D"">ohno</div><div class=3D"">next-line: End of buffer</div><div =
class=3D"">next-line: End of buffer</div><div class=3D"">Configured =
using:</div><div class=3D"">&nbsp;'configure --with-ns =
'--enable-locallisppath=3D/Library/Application</div><div =
class=3D"">&nbsp;Support/Emacs/${version}/site-lisp:/Library/Application</=
div><div class=3D"">&nbsp;Support/Emacs/site-lisp' =
--with-modules'</div><div class=3D""><br class=3D""></div><div =
class=3D"">Configured features:</div><div class=3D"">NOTIFY KQUEUE ACL =
GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES</div><div =
class=3D"">THREADS JSON PDUMPER GMP</div><div class=3D""><br =
class=3D""></div><div class=3D"">Important settings:</div><div =
class=3D"">&nbsp; value of $LANG: en_US.UTF-8</div><div class=3D"">&nbsp; =
locale-coding-system: utf-8-unix</div><div class=3D""><br =
class=3D""></div><div class=3D"">Major mode: Lisp Interaction</div><div =
class=3D""><br class=3D""></div><div class=3D"">Minor modes in =
effect:</div><div class=3D"">&nbsp; tooltip-mode: t</div><div =
class=3D"">&nbsp; global-eldoc-mode: t</div><div class=3D"">&nbsp; =
eldoc-mode: t</div><div class=3D"">&nbsp; electric-indent-mode: =
t</div><div class=3D"">&nbsp; mouse-wheel-mode: t</div><div =
class=3D"">&nbsp; tool-bar-mode: t</div><div class=3D"">&nbsp; =
menu-bar-mode: t</div><div class=3D"">&nbsp; file-name-shadow-mode: =
t</div><div class=3D"">&nbsp; global-font-lock-mode: t</div><div =
class=3D"">&nbsp; font-lock-mode: t</div><div class=3D"">&nbsp; =
blink-cursor-mode: t</div><div class=3D"">&nbsp; auto-composition-mode: =
t</div><div class=3D"">&nbsp; auto-encryption-mode: t</div><div =
class=3D"">&nbsp; auto-compression-mode: t</div><div class=3D"">&nbsp; =
line-number-mode: t</div><div class=3D"">&nbsp; transient-mark-mode: =
t</div><div class=3D""><br class=3D""></div><div class=3D"">Load-path =
shadows:</div><div class=3D"">None found.</div><div class=3D""><br =
class=3D""></div><div class=3D"">Features:</div><div class=3D"">(shadow =
sort mail-extr emacsbug message rmc puny dired dired-loaddefs</div><div =
class=3D"">format-spec rfc822 mml easymenu mml-sec password-cache epa =
derived epg</div><div class=3D"">epg-config gnus-util rmail =
rmail-loaddefs text-property-search time-date</div><div class=3D"">subr-x =
seq byte-opt gv bytecomp byte-compile cconv mm-decode =
mm-bodies</div><div class=3D"">mm-encode mail-parse rfc2231 mailabbrev =
gmm-utils mailheader cl-loaddefs</div><div class=3D"">cl-lib sendmail =
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils</div><div =
class=3D"">apropos tooltip eldoc electric uniquify ediff-hook =
vc-hooks</div><div class=3D"">lisp-float-type mwheel term/ns-win ns-win =
ucs-normalize mule-util</div><div class=3D"">term/common-win tool-bar =
dnd fontset image regexp-opt fringe</div><div class=3D"">tabulated-list =
replace newcomment text-mode elisp-mode lisp-mode</div><div =
class=3D"">prog-mode register page tab-bar menu-bar rfn-eshadow isearch =
timer</div><div class=3D"">select scroll-bar mouse jit-lock font-lock =
syntax facemenu font-core</div><div class=3D"">term/tty-colors frame =
minibuffer cl-generic cham georgian utf-8-lang</div><div =
class=3D"">misc-lang vietnamese tibetan thai tai-viet lao korean =
japanese eucjp-ms</div><div class=3D"">cp51932 hebrew greek romanian =
slovak czech european ethiopic indian</div><div class=3D"">cyrillic =
chinese composite charscript charprop case-table epa-hook</div><div =
class=3D"">jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice =
loaddefs</div><div class=3D"">button faces cus-face macroexp files =
text-properties overlay sha1 md5</div><div class=3D"">base64 format env =
code-pages mule custom widget hashtable-print-readable</div><div =
class=3D"">backquote threads kqueue cocoa ns multi-tty =
make-network-process emacs)</div><div class=3D""><br class=3D""></div><div=
 class=3D"">Memory information:</div><div class=3D"">((conses 16 46191 =
5995)</div><div class=3D"">&nbsp;(symbols 48 6035 1)</div><div =
class=3D"">&nbsp;(strings 32 15585 1651)</div><div =
class=3D"">&nbsp;(string-bytes 1 518510)</div><div =
class=3D"">&nbsp;(vectors 16 10357)</div><div =
class=3D"">&nbsp;(vector-slots 8 129155 12342)</div><div =
class=3D"">&nbsp;(floats 8 20 45)</div><div class=3D"">&nbsp;(intervals =
56 196 0)</div><div class=3D"">&nbsp;(buffers 1000 12))</div><div =
class=3D""><br class=3D""></div></body></html>=

--Apple-Mail=_C9B5A44F-E824-4204-A014-987B714AF23A--




Acknowledgement sent to JD Smith <jdtsmith@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55491; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 7 Jun 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.